﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Jig_Replicator
{
	public partial class UserControl3 : UserControl
	{
		public byte feedbackRev;
		public UserControl3()
		{
			InitializeComponent();
		}

		private void UserControl3_Load(object sender, EventArgs e)
		{
		 
		}
		public void SummRev(byte revision)
		{
			feedbackRev = revision;
			if (revision == 1)
			{
				label1.Text = "Selected model: PSP-1000 (FAT)";
				label2.Text = "Motherboard revisions: TA-079, TA-081, TA-082, TA-086.";
				label5.Text = "✓ Supports Magic Memory Stick.\nNo need to dump MSID.\n\nRequirements:\nMS size: 512 MB (or bigger).";
				label7.Text = "✓ Supports Pandora battery.\nNo need to create a battery emulator.\n\nRequirements:\na PSP capable of writing battery's EEPROM\nOR\nanything to open the battery;\na knife;\na graphite pencil.";
			}
			if (revision == 2)
			{
				label1.Text = "Selected model: PSP-2000 (SLIM)";
				label2.Text = "Motherboard revisions: TA-085, TA-088, TA-090 (only v1).";
				label5.Text = "! Supports Magic Memory Stick.\nHowever, TA-088v3 (DATE CODE 8C)\nrequires JigKick MS.\n\nRequirements:\nMS size:512 MB (or bigger);\nIF TA-088v3: working PSP with CFW or\ncompatible microSD to MS adapter with\na cardreader.";
				label7.Text = "✓ Supports Pandora battery.\nNo need to create a battery emulator.\n\nRequirements:\na PSP capable of writing battery's EEPROM\nOR\nanything to open the battery;\na knife;\na graphite pencil.";
			}
			if (revision == 3)
			{
				label1.Text = "Selected model: PSP-3000 (BRITE)";
				label2.Text = "Motherboard revisions: TA-090 (only v2), TA-092, TA-093, TA-095.";
				label5.Text = "!! Supports only JigKick MS.\nYou have to dump MSID.\n\nRequirements:\nMS size: 64 MB (or bigger);\nworking PSP with CFW\nOR\ncompatible microSD to MS adapter;\na cardreader.";
				label7.Text = "!!! Requires battery emulator.\n\nRequirements:\nsoldering equipment;\nUSB-TTL adapter;\none 10k resistor and 1N4148 diode;\na 3.7-4.2V power source (2 Amp limit);\na way to connect wires to battery terminals.\n❌ You can't restore TA-093, TA-095 yet.";
			}
			if (revision == 4)
			{
				label1.Text = "Selected model: PSP-N1000 (GO)";
				label2.Text = "Motherboard revisions: TA-091.";
				label5.Text = "!! Supports only JigKick MS (M2).\nYou have to dump MSID.\n\nRequirements:\nM2 MS size: 64 MB (or bigger);\nworking PSPgo with CFW\nor M2 to fullsize MS Pro Duo adapter\nand working PSP with CFW.";
				label7.Text = "❌ You can't enter FSM on this console yet.\nFSM keycombo/entry condition unknown.";
				
			}
			if (revision == 5)
			{
				label1.Text = "Selected model: PSP-E1000 (STREET)";
				label2.Text = "Motherboard revisions: TA-096, TA-097.";
				label5.Text = "!! Supports only JigKick MS.\nYou have to dump MSID.\n\nRequirements:\nMS size: 64 MB (or bigger);\nworking PSP with CFW\nOR\ncompatible microSD to MS adapter;\na cardreader.";
				label7.Text = "❌ You can't enter FSM on this console yet.\nChallenge AES key unknown.";
					
			}
		}
	}
}
